Bug 541426 - Assisting manual recovery from a complete persistent cluster crash.
Summary: Assisting manual recovery from a complete persistent cluster crash.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: Development
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Alan Conway
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-25 21:32 UTC by Alan Conway
Modified: 2011-06-29 19:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-29 19:14:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alan Conway 2009-11-25 21:32:14 UTC
Description of problem:

See https://issues.apache.org/jira/browse/QPID-2220

Comment 1 Alan Conway 2010-04-01 19:49:45 UTC
As a minimum we need to provide a command line tool that will mark a dirty store as clean.

Comment 2 Alan Conway 2010-04-06 15:38:16 UTC
In r931185 there is a command line tool to mark a dirty store as clean.

If the cluster is reduced to a single broker it will mark that store as clean, so it is unlikely that you'll ever have no clean store. There is a doc bug 579805 to document this new tool.


Note You need to log in before you can comment on or make changes to this bug.